Subject: git tool to keep a subversion mirror

From: Sergey Yanovich <[email-masked]>
Date: Mon, 18 Jun 2007 17:47:31 +0300

Johannes Sixt wrote:
> It is extremely difficult to tell whether the patch makes sense or is
> correct, if there is _no_ explanation what it is good for.

I agree 100%. I sent a fore-letter using git-send-email, but all parts got split. 

Pasting it manually:

> I am actively using git for my project. Thanks everyone envolved.
> 
> However, I got tired of administering own web server and registered my
> project at sourceforge. Unlike repo.or.cz (thanks again for everyone
> envolved), they do not provide git hosting. But a project without a
> source repository is non-sence.
> 
> I am not in any way going to use Subversion after I tried git, but I
> need to be able to export to a Subversion repository. I found an
> excellent tool called 'git-svn'. However, the flawed nature of
> Subversion put shackles on normal git usage after you do 'git-svn init'.
> 
> Since git is the best scm system, my situation is probably quite common.
> So I am filing these patches.
> 
> There is a 'git-svn' command which does want I need, so I created a
> simple wrapper around it. I also found that 'git-svn commit-diff' is
> having a small trouble dealing with root <tree-ish>, which is corrected
> by an attached patch.